# Logstash Transit Plugin

A codec for logstash that encodes and decodes messages being sent using the [transit](http://github.com/cognitect/transit-format) format.

## Install

`$LOGSTASH_HOME/bin/plugin install transit`

## Configure

The transport parameter can be either `json` (default) or `msgpack`. There is
also an option to base64 encode/decode the messages (defaults to `false`).


### Example configuration
```
input {
  stdin {
    codec => transit {
      transport => json
      base64 => false
    }
  }
}
```
